Name:           dom4j
Version:        2.0.0
Release:        9
Summary:        Flexible XML framework for Java
License:        Plexus
URL:            https://dom4j.github.io/
Source0:        https://github.com/%{name}/%{name}/archive/v%{version}.tar.gz
Source1:        https://repo1.maven.org/maven2/org/%{name}/%{name}/%{version}/%{name}-%{version}.pom
Patch6000:      CVE-2018-1000632-pre.patch
Patch6001:      CVE-2018-1000632.patch
Patch6002:      backport-Disable-downloading-external-resources-with-1.patch
Patch6003:      backport-Disable-downloading-external-resources-with-2.patch
Patch6004:      backport-Default-SAXParser-features-are-set-when-SAXParser-is.patch
Patch6005:      backport-CVE-2020-10683-SAXReader-uses-system-default-XMLReader-with-its-defaults.patch
BuildArch:      noarch

BuildRequires:  maven-local, mvn(jaxen:jaxen), mvn(net.java.dev.msv:xsdlib), mvn(xpp3:xpp3), mvn(javax.xml.bind:jaxb-api)
BuildRequires:  mvn(org.testng:testng), mvn(xerces:xercesImpl), mvn(xalan:xalan)
Obsoletes:      %{name}-demo < 2.0.0, %{name}-manual < 2.0.0
Provides:       %{name}-javadoc%{?_isa} %{name}-javadoc
Obsoletes:      %{name}-javadoc

%description
dom4j is an easy to use, open source library for working with XML, XPath and XSLT on the Java platform
using the Java Collections Framework and with full support for DOM, SAX and JAXP.

%prep
%autosetup -p1

%mvn_alias org.%{name}:%{name} %{name}:%{name}
%mvn_file : %{name}/%{name} %{name}

cp %{SOURCE1} pom.xml

%pom_add_dep xpp3:xpp3::provided
%pom_add_dep net.java.dev.msv:xsdlib::provided
%pom_add_dep javax.xml.bind:jaxb-api::provided

rm -rf src/main/java/org/dom4j/xpp
rm -rf src/main/java/org/dom4j/io/XPPReader.java
rm -rf src/test/java/org/dom4j/util/PerThreadSingletonTest.java

%build
%mvn_build -- -Dproject.build.sourceEncoding=UTF-8

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md
%{_javadocdir}/%{name}/*

%changelog
* Wed May 11 2022 Ge Wang <wangge20@h-partner.com> - 2.0.0-9
- License compliance rectification

* Fri Jun 19 2020 lingsheng <lingsheng@huawei.com> - 2.0.0-8
- Fix CVE-2020-10683

* Fri Dec 13 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.0.0-7
- Package init
